%define major 2
%define libname	%mklibname xcrypt %{major}
%define develname %mklibname xcrypt -d

Summary:	Crypt Library for DES, MD5, Blowfish and others
Name:		libxcrypt
Version:	3.0.2
Release:	%mkrel 4
License:	LGPLv2+
Group:		System/Libraries
Url:		provide_url_to_some_site
# where is full url to the source ?
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Libxcrypt is a replacement for libcrypt, which comes with the GNU C
Library. It supports DES crypt, MD5, SHA256, SHA512 and passwords with
blowfish encryption.

%package -n %{libname}
Summary:	Crypt Library for DES, MD5, Blowfish and others
Group:          System/Libraries

%description -n %{libname}
Libxcrypt is a replacement for libcrypt, which comes with the GNU C
Library. It supports DES crypt, MD5, SHA256, SHA512 and passwords with
blowfish encryption.

%package -n %{develname}
Summary:	Development libraries for %{name}
Group:          Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name} = %{version}-%{release}

%description -n %{develname}
This package contains the header files and static libraries necessary
to develop software using %{name}.

%prep
%setup -q

%build
export CFLAGS="%{optflags} -Wno-cast-align"
%configure2_5x  \
	--libdir=/%{_lib} \
	--disable-static

%make

%install
%makeinstall_std
mkdir -p %{buildroot}%{_libdir}
rm %{buildroot}/%{_lib}/libxcrypt.{so,la}
rm %{buildroot}/%{_lib}/xcrypt/lib*.{so,la}
ln -sf ../../%{_lib}/libxcrypt.so.2 %{buildroot}%{_libdir}/libxcrypt.so

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc README NEWS README.bcrypt README.ufc-crypt
/%{_lib}/lib*.so.%{major}*
%dir /%{_lib}/xcrypt
/%{_lib}/xcrypt/lib*.so.*

%files -n %{develname}
%defattr(-,root,root)
%{_prefix}/include/*.h
%{_libdir}/lib*.so



%changelog
* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 3.0.2-4mdv2011.0
+ Revision: 620238
- the mass rebuild of 2010.0 packages

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 3.0.2-3mdv2010.0
+ Revision: 439486
- rebuild

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - apply mdv library packaging policy
    - new license policy
    - spec file clean

  + Zombie Ryushu <ryushu@mandriva.org>
    - Fix Macros

* Mon Jan 26 2009 Zombie Ryushu <ryushu@mandriva.org> 3.0.2-1mdv2009.1
+ Revision: 333604
- Import from SuSE
- import libxcrypt


* Tue Dec 16 2008 kukuk@suse.de
- Update to version 3.0.2 (merge of patches)
* Sun Sep 28 2008 kukuk@suse.de
- Add missing gensalt security fixes (was [bnc#408719])
* Thu Jun 26 2008 kukuk@suse.de
- Remove old obsolete libxcrypt.so.1
* Tue Apr 15 2008 kukuk@suse.de
- Create libxcrypt.so.1 symlink and include it in package
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Mon Apr  7 2008 schwab@suse.de
- Remove use of undefined macro.
- Work around unclean sources.
* Thu Apr  3 2008 kukuk@suse.de
- Add libxcrypt-3.0:
  * Add sha256 and sha512 hashes
  * Create plugins for every hash function except DES/bigcrypt
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan  6 2006 kukuk@suse.de
- Update to 2.4 (sync with crypt_blowfish 1.0)
* Sun Sep 18 2005 kukuk@suse.de
- Update to 2.3 (remove broken assembler code)
* Sat Apr  9 2005 schwab@suse.de
- Fix utterly broken and unportable code.
* Fri Jun 18 2004 kukuk@suse.de
- Update to 2.2 (apply fixes from glibc version)
* Sat Jan 10 2004 adrian@suse.de
- add %%run_ldconfig
* Fri Nov 14 2003 kukuk@suse.de
- Compile libarary with no exec stack
* Thu Oct 16 2003 kukuk@suse.de
- Update to 2.1 (use optimized assembler version on ix86)
* Mon Jul 28 2003 kukuk@suse.de
- Update to 2.0
* Tue May 13 2003 kukuk@suse.de
- Add defattr to filelist
* Thu Jan 16 2003 kukuk@suse.de
- Update to version 1.4 (compiles with glibc > 2.3.1)
* Fri Jan 10 2003 kukuk@suse.de
- Update to version 1.3 (fix initialisation of internal data
  struct for des_crypt)
* Mon Oct 21 2002 kukuk@suse.de
- Update to version 1.2 (fix compiling with glibc 2.3.x)
* Mon May 27 2002 kukuk@suse.de
- Update to version 1.1 (add SHA1 support)
* Wed Apr 17 2002 kukuk@suse.de
- Add require to libxcrypt-devel for correct shared library
* Mon Apr 15 2002 kukuk@suse.de
- Initial version of a libcrypt replacement
